> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check file threat intelligence

> Retrieves Threat Intelligence File digest check.
Provided by <a href="https://onefirewall.com/?tag=aegister" taget="_blank">OneFirewall</a>



## OpenAPI

````yaml get /api/v1/perimeter-protection/threat-intelligence/file/{file}
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/perimeter-protection/threat-intelligence/file/{file}:
    get:
      tags:
        - perimeter-protection
      summary: Check file threat intelligence
      description: >-
        Retrieves Threat Intelligence File digest check.


        Provided by <a href="https://onefirewall.com/?tag=aegister"
        taget="_blank">OneFirewall</a>
      operationId: perimeter_protection_threat_intelligence_file_retrieve
      parameters:
        - in: path
          name: file
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
              examples:
                ExampleThreatintelligenceFileCheck:
                  value:
                    error: 0
                    messages: []
                    data:
                      md5: E27A6A678D2A3391D3DEDD7F6B5BCFFE
                      sha1: 8A0A4A6524C4FAE519CA273F427A067A80FD6B5A
                      sha256: >-
                        7CAB5BE54EA256801FFBB8C5F14BBE8ACF8C8EDF4B14BEC82A8E73F2A22FC229
                      score: 96
                      ts: 1700561246
                      file_bytes: null
                      total_reports: 48
                      total_members: 1
                      file_type: application/zip
                      file_name: dex.apk
                      tags:
                        - IRATA
                        - apk
                        - .zip
                      elk_ts: '2023-11-21T10:07:26.000Z'
                      elk_entry_ts: '2023-11-19T11:03:07.000Z'
                      entry_ts: 1700391787
                  summary: Threatintelligence file check
                  description: Example threatintelligence file check
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - Malformed data structure
          description: ''
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 1
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - - 9153
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````